summaryrefslogtreecommitdiff
path: root/resources/scripts/download
diff options
context:
space:
mode:
Diffstat (limited to 'resources/scripts/download')
-rwxr-xr-xresources/scripts/download/coreboot5
-rwxr-xr-xresources/scripts/download/flashrom2
-rwxr-xr-xresources/scripts/download/grub2
-rwxr-xr-xresources/scripts/download/me_cleaner2
-rwxr-xr-xresources/scripts/download/memtest86plus2
-rwxr-xr-xresources/scripts/download/seabios2
-rwxr-xr-xresources/scripts/download/u-boot11
7 files changed, 12 insertions, 14 deletions
diff --git a/resources/scripts/download/coreboot b/resources/scripts/download/coreboot
index 2e78636b..75b61a6f 100755
--- a/resources/scripts/download/coreboot
+++ b/resources/scripts/download/coreboot
@@ -1,10 +1,9 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
# helper script: download coreboot
#
# Copyright (C) 2014-2016,2020,2021,2023 Leah Rowe <info@minifree.org>
# Copyright (C) 2022 Alper Nebi Yasak <alpernebiyasak@gmail.com>
-# Copyright (C) 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -87,7 +86,7 @@ fetch_coreboot_config()
check_config_for_board "${_board}" || return 1
# This is to override $cbrevision and $cbtree
- . "${cbcfgsdir}/${_board}/board.cfg" || exit 1
+ source "${cbcfgsdir}/${_board}/board.cfg" || exit 1
if [ "${_board}" != "${cbtree}" ]; then
_board="${cbtree}"
diff --git a/resources/scripts/download/flashrom b/resources/scripts/download/flashrom
index def33ffb..6aa3cab4 100755
--- a/resources/scripts/download/flashrom
+++ b/resources/scripts/download/flashrom
@@ -1,4 +1,4 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
# helper script: downloads flashrom and patches it
#
diff --git a/resources/scripts/download/grub b/resources/scripts/download/grub
index ff1ce55c..0620a775 100755
--- a/resources/scripts/download/grub
+++ b/resources/scripts/download/grub
@@ -1,4 +1,4 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
# helper script: Downloads GRUB and patches it.
#
diff --git a/resources/scripts/download/me_cleaner b/resources/scripts/download/me_cleaner
index 93173257..7dd52be7 100755
--- a/resources/scripts/download/me_cleaner
+++ b/resources/scripts/download/me_cleaner
@@ -1,4 +1,4 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
#
# Copyright (C) 2020 Leah Rowe <info@minifree.org>
#
diff --git a/resources/scripts/download/memtest86plus b/resources/scripts/download/memtest86plus
index e4106f38..bceadbd9 100755
--- a/resources/scripts/download/memtest86plus
+++ b/resources/scripts/download/memtest86plus
@@ -1,4 +1,4 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
# helper script: Downloads MemTest86+ and patches it
#
diff --git a/resources/scripts/download/seabios b/resources/scripts/download/seabios
index 666c32ae..fd72de65 100755
--- a/resources/scripts/download/seabios
+++ b/resources/scripts/download/seabios
@@ -1,4 +1,4 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
#
# Copyright (C) 2015, 2016, 2021 Leah Rowe <info@minifree.org>
#
diff --git a/resources/scripts/download/u-boot b/resources/scripts/download/u-boot
index 161608c9..1af513a4 100755
--- a/resources/scripts/download/u-boot
+++ b/resources/scripts/download/u-boot
@@ -1,10 +1,9 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
# helper script: download u-boot
#
# Copyright (C) 2021 Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
# Copyright (C) 2022 Alper Nebi Yasak <alpernebiyasak@gmail.com>
-# Copyright (C) 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -23,7 +22,7 @@
[ "x${DEBUG+set}" = 'xset' ] && set -v
set -u -e
-[ -f build_error ] && rm -f build_error
+[[ -f build_error ]] && rm -f build_error
list_supported_boards() {
for board in resources/u-boot/*; do
@@ -56,7 +55,7 @@ downloadfor() {
fi
# This is to override $ubrevision and $ubtree
- . "resources/u-boot/${board}/board.cfg" || touch build_error
+ source "resources/u-boot/${board}/board.cfg" || touch build_error
if [ -f build_error ]; then
printf "ERROR: %s: problem sourcing %s/board.cfg\n" \
"download/u-boot" "${board}"
@@ -240,10 +239,10 @@ if [ $# -eq 0 ] ; then
download_uboot_board "${board}"
done
exit 0
-elif [ $# -eq 1 ] && [ "$1" = "--help" ] ; then
+elif [ $# -eq 1 -a "$1" == "--help" ] ; then
usage
exit 0
-elif [ $# -eq 1 ] && [ "$1" = "--list-boards" ] ; then
+elif [ $# -eq 1 -a "$1" == "--list-boards" ] ; then
list_supported_boards
exit 0
elif [ $# -eq 1 ] ; then